#include "MainWindow.h"
#include <QCloseEvent>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    QTOgreWindow* ogreWindow = new QTOgreWindow();
    QWidget* ogreWidget = QWidget::createWindowContainer(ogreWindow);
    setCentralWidget(ogreWidget);
    setFocusPolicy(Qt::WheelFocus);
    setFocusProxy(ogreWidget);
}

MainWindow::~MainWindow()
{
    delete ui;
}
